> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Delete workspace

DELETE /apis/entities/v2/workspaces/{name}

Delete a workspace.

This marks the workspace for deletion and returns immediately. The workspace
will no longer be accessible via the API. An asynchronous cleanup controller
will handle deletion of all entities and external resources.

Role bindings are immediately deleted to revoke access.

Example:
```
DELETE /apis/entities/v2/workspaces/ml-team
```

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/entity-store/delete-workspace-apis-entities-v-2-workspaces-name-delete

## Request

### Path parameters

- `name` (string, required)

## Response

### 200

Successful Response

- `id` (string, required) — The ID of the deleted resource.
- `message` (string, optional, default: Resource deleted successfully.)

## Examples

**Response**

```json
{
  "id": "string",
  "message": "Resource deleted successfully."
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/entities/v2/workspaces/name"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/entities/v2/workspaces/name';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/entities/v2/workspaces/name"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/entities/v2/workspaces/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.example.com/apis/entities/v2/workspaces/name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.example.com/apis/entities/v2/workspaces/name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/entities/v2/workspaces/name");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/entities/v2/workspaces/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```